from setuptools import setup, Command


class PyTest(Command):
    user_options = []

    def initialize_options(self):
        pass

    def finalize_options(self):
        pass

    def run(self):
        import subprocess

        errno = subprocess.call(["py.test", "testing"])
        raise SystemExit(errno)


setup(
    name="resultsdb_listener",
    version="1.1.3",
    description="Listens for ci messages in fedora-messaging and upload "
    "them to resultsdb",
    author="Tim Flink",
    author_email="tflink@fedoraproject.org",
    license="GPLv2+",
    url="https://pagure.io/resultsdb_listener",
    packages=["resultsdb_listener"],
    include_package_data=True,
    install_requires=[],
    cmdclass={"test": PyTest},
)
